ITfThreadMgrExVtbl Struct Reference

`#include <SDL_msctf.h>`

Collaboration diagram for ITfThreadMgrExVtbl:
[legend]

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfThreadMgrEx *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfThreadMgrEx *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfThreadMgrEx *)
| HRESULT (STDMETHODCALLTYPE *Activate)(ITfThreadMgrEx *
TfClientId * | HRESULT (STDMETHODCALLTYPE *Deactivate)(ITfThreadMgrEx *)
| HRESULT (STDMETHODCALLTYPE *CreateDocumentMgr)(ITfThreadMgrEx *
ITfDocumentMgr ** | HRESULT (STDMETHODCALLTYPE *EnumDocumentMgrs)(ITfThreadMgrEx *
ITfDocumentMgr IEnumTfDocumentMgrs ** | HRESULT (STDMETHODCALLTYPE *GetFocus)(ITfThreadMgrEx *
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ** | HRESULT (STDMETHODCALLTYPE *SetFocus)(ITfThreadMgrEx *
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr * | HRESULT (STDMETHODCALLTYPE *AssociateFocus)(ITfThreadMgrEx *
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ** | HRESULT (STDMETHODCALLTYPE *IsThreadFocus)(ITfThreadMgrEx *
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL * | HRESULT (STDMETHODCALLTYPE *GetFunctionProvider)(ITfThreadMgrEx *
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider ** | HRESULT (STDMETHODCALLTYPE *EnumFunctionProviders)(ITfThreadMgrEx *
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders ** | HRESULT (STDMETHODCALLTYPE *GetGlobalCompartment)(ITfThreadMgrEx *
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders ITfCompartmentMgr ** | HRESULT (STDMETHODCALLTYPE *ActivateEx)(ITfThreadMgrEx *
| HRESULT (STDMETHODCALLTYPE *GetActiveFlags)(ITfThreadMgrEx *

## Data Fields

| REFIID
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL | REFCLSID
ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders ITfCompartmentMgr TfClientId | DWORD

## Detailed Description

Definition at line 77 of file SDL_msctf.h.

## Member Function Documentation

ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Activate | ) |

TfClientId* ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Deactivate | ) |

ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | CreateDocumentMgr | ) |

ITfDocumentMgr** ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumDocumentMgrs | ) |

ITfDocumentMgr IEnumTfDocumentMgrs** ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetFocus | ) |

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr** ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | SetFocus | ) |

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr* ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | AssociateFocus | ) |

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr** ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | IsThreadFocus | ) |

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL* ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetFunctionProvider | ) |

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider** ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumFunctionProviders | ) |

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders** ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetGlobalCompartment | ) |

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders ITfCompartmentMgr** ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | ActivateEx | ) |

ITfThreadMgrExVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetActiveFlags | ) |

void** ITfThreadMgrExVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

ITfThreadMgrExVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders ITfCompartmentMgr TfClientId ITfThreadMgrExVtbl::DWORD

Definition at line 93 of file SDL_msctf.h.

ITfDocumentMgr IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfThreadMgrExVtbl::REFCLSID

Definition at line 90 of file SDL_msctf.h.

ITfThreadMgrExVtbl::REFIID

Definition at line 79 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h